import request from '@/utils/request'

// 查询shop列表
export function listShop(query) {
  return request({
    url: '/community/shop/list',
    method: 'get',
    params: query
  })
}

// 依据商业板块
export function listBuildingByDistrict(district) {
  return request({
    url: '/community/shop/listBuildingByDistrict/' + district,
    method: 'get'
  })
}

// 查询shop详细
export function getShop(shopId) {
  return request({
    url: '/community/shop/' + shopId,
    method: 'get'
  })
}

// 新增shop
export function addShop(data) {
  return request({
    url: '/community/shop',
    method: 'post',
    data: data
  })
}

// 修改shop
export function updateShop(data) {
  return request({
    url: '/community/shop',
    method: 'put',
    data: data
  })
}

// 删除shop
export function delShop(shopId) {
  return request({
    url: '/community/shop/' + shopId,
    method: 'delete'
  })
}
