import request from '@/utils/request'

// 查询微信信息管理列表
export function listWechat(query) {
  return request({
    url: '/community/wechat/list',
    method: 'get',
    params: query
  })
}

// 查询微信信息管理详细
export function getWechat(residentWechatId) {
  return request({
    url: '/community/wechat/' + residentWechatId,
    method: 'get'
  })
}

// 新增微信信息管理
export function addWechat(data) {
  return request({
    url: '/community/wechat',
    method: 'post',
    data: data
  })
}

// 修改微信信息管理
export function updateWechat(data) {
  return request({
    url: '/community/wechat',
    method: 'put',
    data: data
  })
}

// 删除微信信息管理
export function delWechat(residentWechatId) {
  return request({
    url: '/community/wechat/' + residentWechatId,
    method: 'delete'
  })
}
