import request from '@/utils/request'

// 查询代金券管理列表
export function listVoucher(query) {
  return request({
    url: '/discount/info/list',
    method: 'get',
    params: query
  })
}

// 查询代金券管理详细
export function getVoucher(voucherId) {
  return request({
    url: `/discount/info/${voucherId}`,
    method: 'get'
  })
}

// 新增代金券管理
export function addVoucher(data) {
  return request({
    url: '/discount/info',
    method: 'post',
    data: data
  })
}

// 修改代金券管理
export function updateVoucher(data) {
  return request({
    url: `/discount/info/${data.discountId}`,
    method: 'put',
    data: data
  })
}

// 核销代金券
export function verificationVoucher(data) {
  return request({
    url: `/discount/record/${data.recordId}`,
    method: 'put',
    data: data
  })
}

// 删除代金券管理
export function delVoucher(data) {
  return request({
    url: `/discount/info`,
    method: 'delete',
    data
  })
}

// 修改代金券数量
export function updateNumber(data) {
  return request({
    url: `/discount/stock/${data.discountId}/${data.type}?count=${data.count}`,
    method: 'put'
  })
}

// 代金券上架下架
export function changeAvailableStatus(discountId, status) {
  return request({
    url: `/discount/status/${discountId}/${status}`,
    method: 'put'
  })
}

// 取记录列表
export function recordList(query) {
  return request({
    url: '/discount/record/list',
    method: 'get',
    params: query
  })
}

// 领取详情
export function getRecord(query) {
  return request({
    url: `/discount/record/${query.recordId}`,
    method: 'get',
    params: query
  })
}
